[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TPage.OnBeforeShow

Event handler signalled before the page is displayed.

## Declaration

Source position: extctrls.pp line 62

`published property TPage.OnBeforeShow : TBeforeShowPageEvent read FOnBeforeShow write FOnBeforeShow;`

## Description

OnBeforeShow is a TBeforeShowPageEvent property with the event handler signalled before a page is displayed. It allows an application to make any preparations needed for the page or its contents. It is signalled (when assigned) when the value for the PageIndex property is changed in a TNotebook instance.

## See also

TBeforeShowPageEvent |  | Specifies an event handler triggered before a page in displayed.
TNotebook.PageIndex |  | Ordinal position for the active page in the notebook control.